Package org.eclipse.core.net.proxy

# Interface IProxyChangeEvent

public interface IProxyChangeEvent
Event which describes a change in the proxy information managed by the `IProxyService`.

This interface is not intended to be implemented by clients.

Since:
  1.0
See Also:
  - `IProxyService`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NONPROXIED_HOSTS_CHANGED`
Type constant that indicates that the list of non-proxied hosts has changed
`static final int`
`PROXY_DATA_CHANGED`
Type constant that indicates that the data for one or more proxies has changed
`static final int`
`PROXY_SERVICE_ENABLEMENT_CHANGE`
Type constant that indicates that the enablement of the proxy service has changed.

## Method Summary

Modifier and Type
Method
Description
`IProxyData[]`
`getChangedProxyData()`
For a change type of `PROXY_DATA_CHANGED`, this method returns the state of the changed known proxies after the change occurred.
`int`
`getChangeType()`
Return the type of change this event represents.
`String[]`
`getNonProxiedHosts()`
For a change type of `NONPROXIED_HOSTS_CHANGED`, this method will return the list of non-proxied hosts after the change occurred.
`String[]`
`getOldNonProxiedHosts()`
For a change type of `NONPROXIED_HOSTS_CHANGED`, this method will return the list of non-proxied hosts before the change occurred.
`IProxyData[]`
`getOldProxyData()`
For a change type of `PROXY_DATA_CHANGED`, this method returns the state of all known proxies before the change occurred.

## Field Details

### NONPROXIED_HOSTS_CHANGED

static final int NONPROXIED_HOSTS_CHANGED
Type constant that indicates that the list of non-proxied hosts has changed.\

See Also:
  - `getChangeType()`
  - Constant Field Values

### PROXY_DATA_CHANGED

static final int PROXY_DATA_CHANGED
Type constant that indicates that the data for one or more proxies has changed

See Also:
  - `getChangeType()`
  - Constant Field Values

### PROXY_SERVICE_ENABLEMENT_CHANGE

static final int PROXY_SERVICE_ENABLEMENT_CHANGE
Type constant that indicates that the enablement of the proxy service has changed. Client should consult the service to determine the current enablement

See Also:
  - `getChangeType()`
  - `IProxyService.isProxiesEnabled()`
  - Constant Field Values

## Method Details

### getChangeType

int getChangeType()
Return the type of change this event represents. Clients should ignore types they do not recognize.

Returns:
  the type of change this event represents
See Also:
  - `NONPROXIED_HOSTS_CHANGED`
  - `PROXY_DATA_CHANGED`

### getOldNonProxiedHosts

String[] getOldNonProxiedHosts()
For a change type of `NONPROXIED_HOSTS_CHANGED`, this method will return the list of non-proxied hosts before the change occurred.

Returns:
  the list of non-proxied hosts before the change occurred

### getNonProxiedHosts

String[] getNonProxiedHosts()
For a change type of `NONPROXIED_HOSTS_CHANGED`, this method will return the list of non-proxied hosts after the change occurred.

Returns:
  the list of non-proxied hosts after the change occurred

### getOldProxyData

IProxyData[] getOldProxyData()
For a change type of `PROXY_DATA_CHANGED`, this method returns the state of all known proxies before the change occurred.

Returns:
  the state of all known proxies before the change occurred

### getChangedProxyData

IProxyData[] getChangedProxyData()
For a change type of `PROXY_DATA_CHANGED`, this method returns the state of the changed known proxies after the change occurred. Clients should check the `IProxyService.isProxiesEnabled()` method to see if the proxy data change was the result of proxies being disabled.

Returns:
  the state of the changed known proxies after the change occurred